export const getBreakoutResizableNodeTypes = (schema, isRuleAndPanelResizingEnabled = false) => {
  const {
    expand,
    codeBlock,
    layoutSection,
    syncBlock,
    bodiedSyncBlock,
    rule,
    panel
  } = schema.nodes;
  const breakoutResizableNodeTypes = [expand, codeBlock, layoutSection, syncBlock, bodiedSyncBlock];
  if (isRuleAndPanelResizingEnabled) {
    breakoutResizableNodeTypes.push(rule, panel);
  }
  return new Set(breakoutResizableNodeTypes);
};